""" This module loads the entire VTK library into its namespace.  It
also allows one to use specific packages inside the vtk directory.."""

from __future__ import absolute_import

# --------------------------------------
from .vtkCommonKit import *
from .vtkFiltersKit import *
from .vtkImagingKit import *
from .vtkRenderingKit import *
from .vtkIOKit import *
from .vtkOpenGLKit import *
from .vtkParallelKit import *
from .vtkWrappingKit import *
from .vtkInteractionKit import *
from .vtkViewsKit import *
from .vtkInfovisCore import *
from .vtkChartsCore import *
from .vtkDomainsChemistry import *
from .vtkFiltersFlowPaths import *
from .vtkFiltersHybrid import *
from .vtkPythonInterpreter import *
from .vtkImagingHybrid import *
from .vtkInfovisLayout import *
from .vtkGeovisCore import *
from .vtkRenderingGL2PSOpenGL2 import *
from .vtkIOExport import *
from .vtkIOExportOpenGL2 import *
from .vtkIOExportPDF import *
from .vtkIOImport import *
from .vtkIOInfovis import *
from .vtkIOMINC import *
from .vtkIOTecplotTable import *
from .vtkRenderingQt import *
from .vtkTestingRendering import *
from .vtkViewsInfovis import *
# --------------------------------------

# useful macro for getting type names
from .util.vtkConstants import vtkImageScalarTypeNameMacro

# import convenience decorators
from .util.misc import calldata_type

# import the vtkVariant helpers
from .util.vtkVariant import *
